#!/usr/bin/env bash
set -euo pipefail

OUT=gnome/.local/share/custom-gconf.conf
: >"$OUT"

paths=(
    /org/gnome/desktop/interface/
    /org/gnome/desktop/input-sources/
    /org/gnome/desktop/peripherals/
    /org/gnome/desktop/privacy/
    /org/gnome/desktop/session/
    /org/gnome/desktop/wm/
    /org/gnome/mutter/
    /org/gnome/settings-daemon/plugins/
    /org/gnome/shell/extensions/
)

for p in "${paths[@]}"; do
    echo "# $p" >>"$OUT"
    dconf dump "$p" >>"$OUT"
    echo >>"$OUT"
done
